config() {
  NEW="$1"
  OLD="$(dirname $NEW)/$(basename $NEW .new)"
  # If there's no config file by that name, mv it over:
  if [ ! -r $OLD ]; then
    mv $NEW $OLD
  elif [ "$(cat $OLD | md5sum)" = "$(cat $NEW | md5sum)" ]; then
    # toss the redundant copy
    rm $NEW
  fi
  # Otherwise, we leave the .new copy for the admin to consider...
}

# Keep same perms on rc.apache-tomcat.new:
if [ -e etc/rc.d/rc.apache-tomcat ]; then
  cp -a etc/rc.d/rc.apache-tomcat etc/rc.d/rc.apache-tomcat.new.incoming
  cat etc/rc.d/rc.apache-tomcat.new > etc/rc.d/rc.apache-tomcat.new.incoming
  mv etc/rc.d/rc.apache-tomcat.new.incoming etc/rc.d/rc.apache-tomcat.new
fi

config etc/rc.d/rc.apache-tomcat.new

# Create tomcat user/group
# Based on the doinst.sh of Eric Hameleer's heartbeat.SlackBuild
if chroot . getent group tomcat >/dev/null
then
  : tomcat group already present
else
  GROUPOPT="-g 219"
  if chroot . groupadd $GROUPOPT tomcat 2>/dev/null
  then
    : tomcat group successfully added
  else
    chroot . groupadd tomcat
  fi
fi

if chroot . getent passwd tomcat >/dev/null
then
  : tomcat user already present
else
  USEROPT="-g tomcat -u 219 -d /var/lib/apache-tomcat"
  if chroot . useradd $USEROPT tomcat 2>/dev/null
  then
    : tomcat user successfully added
  else
    chroot . useradd tomcat
  fi
fi

# Change ownership
chown -R tomcat:tomcat var/lib/apache-tomcat
chmod 774 var/lib/apache-tomcat

chgrp -R tomcat opt/apache-tomcat/{conf,temp,work,webapps}
chmod -R 774 opt/apache-tomcat/{conf,temp,work,webapps}

chgrp tomcat opt/apache-tomcat/bin/*.sh
chmod 774 opt/apache-tomcat/bin/*.sh

